package model

import (
	"testing"
)

func TestNewDateTimeIn(t *testing.T) {
	tests := []struct {
		seconds int64
		want    DateTime
	}{
		{
			seconds: 1692324600,
			want:    1692324600 * 1000,
		},
	}

	for _, tt := range tests {
		t.Run("NewDateTimeIn", func(t *testing.T) {
			if got := NewDateTimeIn(tt.seconds); got != tt.want {
				t.Errorf("NewDateTimeIn() = %v, want %v", got, tt.want)
			}
		})
	}
}
